ランタイム: Mix::HID::IMouse Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::HID::IMouse Class Referenceabstract

マウスインターフェース More...

`#include <IMouse.h>`

Inheritance diagram for Mix::HID::IMouse:
[legend]
Collaboration diagram for Mix::HID::IMouse:
[legend]

## Public Member Functions

virtual UInt32 | GetButtonState (UInt32 button)=0
| ボタンの状態を取得します More...
virtual Int32 | GetWheelDelta (void)=0
| ホイールの状態を取得します More...
virtual void | SetPos (Int32 x, Int32 y)=0
| 座標を設定します More...
virtual void | SetPos (const Mix::Point &pos)=0
| 座標を設定します More...
virtual const Mix::Point & | GetPos (void) const =0
| 座標を取得します More...
virtual const Mix::Point & | GetVelocity (void) const =0
| 移動速度を取得します More...
virtual const Mix::Point & | GetScreenPos (void) const =0
| スクリーン上の座標を取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IMouse (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

マウスインターフェース

## Constructor & Destructor Documentation

virtual Mix::HID::IMouse::~IMouse | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual UInt32 Mix::HID::IMouse::GetButtonState | ( | UInt32 | button | ) |

pure virtual

ボタンの状態を取得します

Parameters

  [in] | button | ボタンのインデックス

Returns
  ボタンの状態を表す Mix::HID::SWITCH_STATE 列挙定数の組み合わせを返します

virtual Int32 Mix::HID::IMouse::GetWheelDelta | ( | void |  | ) |

pure virtual

ホイールの状態を取得します

Returns
  手前に回した場合は負の値、奥に回した場合は正の値、を返します( -120 〜 120 )

virtual void Mix::HID::IMouse::SetPos | ( | Int32 | x,
|  | Int32 | y
| ) |  |

pure virtual

座標を設定します

Parameters

  [in] | x | X座標
  [in] | y | Y座標

virtual void Mix::HID::IMouse::SetPos | ( | const Mix::Point & | pos | ) |

pure virtual

座標を設定します

Parameters

  [in] | pos | 設定する座標を表す Mix::Point クラス

virtual const Mix::Point& Mix::HID::IMouse::GetPos | ( | void |  | ) | const

pure virtual

座標を取得します

Returns
  座標を表す Mix::Point クラスを返します

virtual const Mix::Point& Mix::HID::IMouse::GetVelocity | ( | void |  | ) | const

pure virtual

移動速度を取得します

Returns
  移動速度を表す Mix::Point クラスを返します

virtual const Mix::Point& Mix::HID::IMouse::GetScreenPos | ( | void |  | ) | const

pure virtual

スクリーン上の座標を取得します

Returns
  スクリーン上の座標を表す Mix::Point クラスを返します

The documentation for this class was generated from the following file:

- Mix/HID/IMouse.h